LibKstat.KstatCtl (JNA API)
Description: declaration: package: com.sun.jna.platform.unix.solaris, interface: LibKstat, class: KstatCtl

Package com.sun.jna.platform.unix.solaris

# Class LibKstat.KstatCtl

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.unix.solaris.LibKstat.KstatCtl

Enclosing interface:
  LibKstat

@FieldOrder({"kc_chain_id","kc_chain","kc_kd"}) public static class LibKstat.KstatCtl extends Structure
A kstat control structure. Only one thread may actively use a KstatCtl value at any time. Synchronization is left to the application.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `LibKstat.Kstat`
  `kc_chain`
  `int`
  `kc_chain_id`
  `int`
  `kc_kd`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KstatCtl()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### kc_chain_id

    public int kc_chain_id

  - ### kc_chain

    public LibKstat.Kstat kc_chain

  - ### kc_kd

    public int kc_kd

- ## Constructor Details

  - ### KstatCtl

    public KstatCtl()